## ros-indigo-m4atx-battery-monitor 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(m4atx_battery_monitor)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS roscpp message_generation std_msgs)

################################################
## Declare ROS messages, services and actions ##
################################################

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  PowerReading.msg
)

## generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(m4atx_battery_monitor src/m4atx_battery_monitor.cpp src/m4api.c)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
add_dependencies(m4atx_battery_monitor m4atx_battery_monitor_generate_messages_cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(m4atx_battery_monitor
   ${catkin_LIBRARIES} usb
)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS m4atx_battery_monitor
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Copy header files
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp" PATTERN "*.h"
)

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

## Copy scripts
install(DIRECTORY scripts/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/scripts
)

=== debian/changelog ===
ros-indigo-m4atx-battery-monitor (0.0.2-0trusty) trusty; urgency=high

  * moved .sh to .bash
  * permissions script added to install
  * Contributors: Russell Toris
  * usb dev added
  * comments
  * moved script
  * Merge branch 'cmdunkers-develop' into develop
  * merege
  * Added a script to make sure the device can be read from
    script applies appropriate permissions
  * revert to 0.0.0'
  * Added a startup script
  * Contributors: Chris Dunkers, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 05 Aug 2014 04:00:00 -0000

ros-indigo-m4atx-battery-monitor (0.0.1-0trusty) trusty; urgency=high

  * changelog updated
  * espeak now used
  * node renamed
  * cleanup
  * Merge pull request #1 from cmdunkers/develop
    battery monitor for the car battery
  * added header to fix error
  * attemp to fix broken pipe by ensuring usb closed after exiting code
  * Updated the conversion for the Voltage input to more accurately represent the input voltage
  * corrected the include file
  * changed the m4api to the newer updated version/ the more accurate one
  * added in sound debug
  * added a line to print the iginition voltage, should be 0
  * Added smicolons
  * added usb reset code
  * Added a values to the message so the value can be linked to an decription
    Also cleaned up the node
  * cleared the build folder
  * Merge branch 'develop' of https://github.com/cmdunkers/m4atx_battery_monitor into develop
  * merged in changes
  * reverted to previous ros node
    config
  * testing out new node code
  * added git ignore
  * Deleted the build folder and added a git ignore
  * Got the other api to make
  * added source code from umd
  * minor fixups
  * Wrote the code but not yet tested
  * Initial commit
  * Contributors: Chris Dunkers, Christopher Dunkers, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 23 Jul 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-m4atx-battery-monitor
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), libusb-dev, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/m4atx_battery_monitor
Standards-Version: 3.9.2

Package: ros-indigo-m4atx-battery-monitor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, espeak, libusb-dev, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-std-msgs
Description: Battery Monitor for the M4-ATX Power Module

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-m4atx-battery-monitor//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
